Loading...
Searching...
No Matches
RDLog Namespace Reference

## Classes

class | LogStateSetter

## Typedefs

using | RDLoggerList = std::vector<RDLogger>

## Functions

RDKIT_RDGENERAL_EXPORT std::ostream & | toStream (std::ostream &)
RDKIT_RDGENERAL_EXPORT void | InitLogs ()
void | deprecationWarning (const std::string &message)

## Typedef Documentation

## RDLoggerList

using RDLog::RDLoggerList = std::vector<RDLogger>

Definition at line 137 of file RDLog.h.

## Function Documentation

## deprecationWarning()

void RDLog::deprecationWarning | ( | const std::string & | message | ) |

inline

Definition at line 152 of file RDLog.h.

References BOOST_LOG, and rdWarningLog.

## InitLogs()

RDKIT_RDGENERAL_EXPORT void RDLog::InitLogs | ( |  | ) |

References RDKIT_RDGENERAL_EXPORT.

## toStream()

RDKIT_RDGENERAL_EXPORT std::ostream & RDLog::toStream | ( | std::ostream & |  | ) |

References RDKIT_RDGENERAL_EXPORT.